import {fork} from 'redux-saga/effects';
import {fetchList, fetchItem, pass} from '../services/authInfo';
import {watch, through} from './RESTful';

export default function*() {
    yield fork(through('EDIT_AUTHINFO', pass, ''));
    yield fork(watch('FETCH_AUTHINFO_LIST', fetchList));
    yield fork(watch('FETCH_AUTHINFO', fetchItem));
}
